Invite or save a member
curl --request PUT \
--url https://api.arklow.io/v1/orgs/{org_id}/members/invites/{identifier} \
--header 'Content-Type: application/json' \
--header 'x-arklow-auth: <api-key>' \
--data '
{
"permissions": [
"owner"
]
}
'import requests
url = "https://api.arklow.io/v1/orgs/{org_id}/members/invites/{identifier}"
payload = { "permissions": ["owner"] }
headers = {
"x-arklow-auth": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-arklow-auth': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({permissions: ['owner']})
};
fetch('https://api.arklow.io/v1/orgs/{org_id}/members/invites/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"action": "invited",
"invite": {
"id": "<string>",
"org_id": "<string>",
"init_permissions": [
"owner"
],
"user_id": "<string>",
"email": "<string>"
},
"membership": {
"id": "<string>",
"org_id": "<string>",
"user_id": "<string>",
"permissions": [
"owner"
],
"email": "<string>"
}
},
"errors": [
{
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}Invite or save a member
Invite a member to the organization or update permissions for an existing member.
PUT
/
v1
/
orgs
/
{org_id}
/
members
/
invites
/
{identifier}
Invite or save a member
Authorizations
Path Parameters
Organization identifier
Pattern:
^[0-9]+$User identifier or email of the invitee
Minimum string length:
1Body
application/json
Available options:
owner